using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.DataBroadcasting.SkyscraperVfs;
using skyscraper8.DvbNip;
using skyscraper8.Ietf.FLUTE;

namespace skyscraper8.Skyscraper.Scraper.Storage
{
	internal class NullObjectStorage : ObjectStorage
	{
		public bool ObjectCarouselFileArrival(VfsFile vfsFile, int transportStreamId, int networkId)
		{
			throw new NotImplementedException();
		}

		public void DataCarouselModuleArrival(int currentNetworkId, int currentTransportStreamId, int elementaryPid,
			ushort moduleModuleId, byte moduleModuleVersion, Stream result)
		{
			throw new NotImplementedException();
		}

		public bool IsDsmCcModuleWanted(int currentNetworkId, int currentTransportStreamId, int elementaryPid, ushort moduleId,
			byte moduleVersion)
		{
			return false;
		}

		public bool TestForFramegrab(int currentNetworkId, int transportStreamId, ushort mappingProgramNumber,
			int mappingStreamElementaryPid)
		{
			throw new NotImplementedException();
		}

		public void StoreFramegrab(int currentNetworkId, int transportStreamId, ushort mappingProgramNumber, ushort pid,
			byte[] imageData)
		{
			throw new NotImplementedException();
		}

		public void WaitForCompletion()
		{
			throw new NotImplementedException();
		}

		public void UiSetVersion(int version)
		{
			throw new NotImplementedException();
		}

		public class NullToken
		{

		}

		public object[] GetPluginConnector()
		{
			return new object[1]
			{
				new NullToken()
			};
		}

		public void Ping()
		{
			throw new NotImplementedException();
		}

		public bool DvbNipTestForFile(string announcedFileContentLocation)
		{
			throw new NotImplementedException();
		}

		public void DvbNipFileArrival(NipActualCarrierInformation carrier, FluteListener listener)
		{
			throw new NotImplementedException();
		}
	}
}
